> For the complete documentation index, see [llms.txt](https://docs.superiormc.cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/he-cheng-pei-fang.md).

# 合成配方

合成配方的设置往往由 `craftable` 和 `recipe` 两个选项组成。第一个控制该物品是否可以合成，第二个则设置合成配方。

## 格式

下面为 `recipe` 选项的一个示例：

```
recipe:
    - ""
    - "ecoitems:toughened_string 8 ? string 64"
    - ""
    - ""
    - "netherite_chestplate || diamond_chestplate"
    - ""
    - "ecoitems:arachnid_oculus ? nether_star 2"
    - ""
    - "ecoitems:arachnid_oculus ? nether_star 2"
```

一共为 **9** 行的 List 类型，每一行指代 **3 x 3** 合成配方中的第 **X** 格，**X** 为其行数。留空值即为该格无物品。每行应该填写的物品语法格式，具体如何填写请查看前面一节。

## 可选选项

与 `recipe` 同级，我们可以通过下面这个选项控制该物品合成配方合成后所给的数量：

```
recipeGiveAmount: 4
```

与 `recipe` 同级，我们可以通过下面这个选项控制该物品合成配方所需要的权限：

```
recipe-permission: test.1
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/he-cheng-pei-fang.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
